#include <iom128.h>
#include <avr_common.h>

typedef unsigned char byte;
typedef unsigned short word;
typedef unsigned long dword;

void byte2chr(byte v, char* a, char* b);

void delay_init(void)
	{
	TCCR2 = 3;
	}

void delay_ms(byte time)
	{
	TIFR |= BIT(TOV2);
	TCNT2 = ~time;
	while(!(TIFR & BIT(TOV2)))
		;
	} 

void byte2chr(byte v, char* a, char* b)
	{
	(*a) = (*b) = 0;
	(*b) = v;
	while(*b >= 10)
		{
		(*b) -= 10;
		(*a)++;
		}
	(*a) += '0';
	(*b) += '0'; 
	}

#include "as-lcd.h"

